Fatal: LVM_GET_IOP_VERSION failed on /dev/lvm

Bug #15374 reported by Debian Bug Importer on 2005-04-12
4
Affects Status Importance Assigned to Milestone
lilo (Debian)
Fix Released
Unknown
lilo (Ubuntu)
High
Unassigned

Bug Description

Automatically imported from Debian bug report #304260 http://bugs.debian.org/304260

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #304260 http://bugs.debian.org/304260

Debian Bug Importer (debzilla) wrote :
Download full text (7.8 KiB)

Message-Id: <email address hidden>
Date: Tue, 12 Apr 2005 01:29:58 +0200
From: Eduard Bloch <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: Fatal: LVM_GET_IOP_VERSION failed on /dev/lvm

Package: lilo
Version: 1:22.6.1-6
Severity: grave

Hello, trying to update to the Ubuntu (also tried with Sid version),
lilo fails on two points where the Woody version worked just fine.
The first is a minor issue: for (bogus) redundancy reasons, two harddisks were
declared in lilo.conf and mapped to bios=0x80. However, the new version just
forbids that for no reason. This problem is already reported in another bug
report.

Second, and the most annoying: it fails to work with /boot on a
LVM-over-Raid1. Woody version (downgraded) works 1a, but Ubuntu and Sid
versions exit with the errors listed below. It should also be mentioned that
there is no /dev/lvm, the group is called sys and the root volume is
/dev/sys/boot, mounted as /boot.

And the final problem is: the upgrade does NOT FAIL (thus the severity). Yes,
the boot loader has been fscked up and I did not notice it before the next
boot and it was not fun to get a recent KNOPPIX for this box :(

LILO version 22.6.1, Copyright (C) 1992-1998 Werner Almesberger
Development beyond version 21 Copyright (C) 1999-2004 John Coffman
Released 17-Nov-2004, and compiled at 22:18:56 on Mar 12 2005
Debian GNU/Linux

raid_setup returns offset = 00000000 ndisk = 0
 BIOS VolumeID Device
Reading boot sector from /dev/sda
pf: dev=0800 id=100F59DC name=/dev/scsi/host0/bus0/target0/lun0/disc
bios_dev: device 0800
bios_dev: masked device 0800, which is /dev/scsi/host0/bus0/target0/lun0/disc
bios_dev: geometry check found 0 matches
bios_dev: (0x81) vol-ID=29014D44 *PT=08078E28
bios_dev: (0x80) vol-ID=100F59DC *PT=08078DE0
bios_dev: PT match found 2 matches (0x80)
bios_dev: S/N match found 1 match (0x80)
Warning: Kernel & BIOS return differing head/sector geometries for device 0x80
    Kernel: 35044 cylinders, 64 heads, 32 sectors
      BIOS: 1024 cylinders, 255 heads, 63 sectors
pf: dev=0810 id=29014D44 name=/dev/scsi/host0/bus0/target1/lun0/disc
bios_dev: device 0810
bios_dev: masked device 0810, which is /dev/scsi/host0/bus0/target1/lun0/disc
bios_dev: geometry check found 0 matches
bios_dev: (0x81) vol-ID=29014D44 *PT=08078E28
bios_dev: (0x80) vol-ID=100F59DC *PT=08078DE0
bios_dev: PT match found 2 matches (0x80)
bios_dev: S/N match found 1 match (0x81)
Warning: Kernel & BIOS return differing head/sector geometries for device 0x81
    Kernel: 35044 cylinders, 64 heads, 32 sectors
      BIOS: 1024 cylinders, 255 heads, 63 sectors
pf_hard_disk_scan: ndevs=2
  0800 100F59DC /dev/scsi/host0/bus0/target0/lun0/disc
  0810 29014D44 /dev/scsi/host0/bus0/target1/lun0/disc
Resolve invalid VolumeIDs
Resolve duplicate VolumeIDs
  0800 100F59DC /dev/scsi/host0/bus0/target0/lun0/disc
  0810 29014D44 /dev/scsi/host0/bus0/target1/lun0/disc
device codes (user assigned pf) = 1
device codes (user assigned) = 1
device codes (BIOS assigned) = 3
device codes (canonical) = 3
bios_dev: device 0800
bios_dev: masked device 0800, which is /dev/scsi/host0/bus0/target0/lun0/...

Read more...

Hi Eduard,

I gather that you're using devfs here. Although it seems that mounting
devfs gives me a system without /dev/lvm, nevertheless running lilo -t -v 3
here on an all-LVM system doesn't give me the errors you describe. Can you
reproduce this problem on your own system when running lilo -t -v 3, or does
it only manifest when not in test mode?

You comment in the bug report that this is grave because the bootloader is
screwed up in the process. Did lilo actually overwrite the MBR, in spite of
the LVM errors? Or was this error caused by the reshuffling of /boot files
between the woody and sarge versions of lilo? lilo could run without the
'|| true' on install to make the errors more apparent; I'm just not sure if
this is the most appropriate fix.

Cheers,
--
Steve Langasek
postmodern programmer

#include <hallo.h>
* Steve Langasek [Sun, Apr 24 2005, 03:29:40AM]:
> Hi Eduard,
>
> I gather that you're using devfs here. Although it seems that mounting

That's correct.

> devfs gives me a system without /dev/lvm, nevertheless running lilo -t -v 3
> here on an all-LVM system doesn't give me the errors you describe. Can you
> reproduce this problem on your own system when running lilo -t -v 3, or does
> it only manifest when not in test mode?

It happens in test mode as well (attached).

> You comment in the bug report that this is grave because the bootloader is
> screwed up in the process. Did lilo actually overwrite the MBR, in spite of
> the LVM errors? Or was this error caused by the reshuffling of /boot files
> between the woody and sarge versions of lilo? lilo could run without the
> '|| true' on install to make the errors more apparent; I'm just not sure if
> this is the most appropriate fix.

This must be the reason, the files have been replaced but the boot block
has not been updated. The proper fix would be a roll-back function
(which we do not have yet in dpkg) or an upstream fix.

Next weekend, I could try to upgrade to kernel 2.6 and lvm2 and look
what happens then, but the issue is still there - a normal upgrade
from Woody failed silently and let the system in unbootable state.

Regards,
Eduard.

LILO version 22.6.1 (test mode), Copyright (C) 1992-1998 Werner Almesberger
Development beyond version 21 Copyright (C) 1999-2004 John Coffman
Released 17-Nov-2004, and compiled at 14:09:52 on Feb 15 2005
Ubuntu

raid_setup returns offset = 00000000 ndisk = 0
 BIOS VolumeID Device
Reading boot sector from /dev/sda
Warning: Kernel & BIOS return differing head/sector geometries for device 0x80
    Kernel: 35044 cylinders, 64 heads, 32 sectors
      BIOS: 1024 cylinders, 255 heads, 63 sectors
Warning: Kernel & BIOS return differing head/sector geometries for device 0x81
    Kernel: 35044 cylinders, 64 heads, 32 sectors
      BIOS: 1024 cylinders, 255 heads, 63 sectors
pf_hard_disk_scan: ndevs=2
  0800 100F59DC /dev/scsi/host0/bus0/target0/lun0/disc
  0810 29014D44 /dev/scsi/host0/bus0/target1/lun0/disc
Resolve invalid VolumeIDs
Resolve duplicate VolumeIDs
  0800 100F59DC /dev/scsi/host0/bus0/target0/lun0/disc
  0810 29014D44 /dev/scsi/host0/bus0/target1/lun0/disc
device codes (user assigned pf) = 1
device codes (user assigned) = 1
device codes (BIOS assigned) = 3
device codes (canonical) = 3
Device 0x0800: BIOS drive 0x80, 255 heads, 4467 cylinders,
               63 sectors. Partition offset: 0 sectors.
Using Volume ID 100F59DC on bios 80
Fatal: LVM_GET_IOP_VERSION failed on /dev/lvm

--
<Gizmo> Nun, ich hab mal ne kleine Frage zu DNS und DHCP. Schaue da noch
 nicht so ganz durch.
<PerlRonin> Erst beim Buchstaben 'D' und schon Probleme? ;)

clone 304260 -1
severity -1 important
retitle 304260 lilo ignores failures on upgrade, leaving the system silently unbootable
thanks

Ok, there are two bugs here. The first bug, that the current version of
lilo doesn't play nicely with lvm in some cases, is of lower priority and
hard to fix (AFAICT). The second bug, that lilo silently discards fatal
errors from /sbin/lilo when upgrading, is release critical. I intend to NMU
for the second of these bugs.

Thanks,
--
Steve Langasek
postmodern programmer

tags 304260 patch
thanks

Hi Andrés,

I've prepared a 0-day NMU for this bug, which will be uploaded shortly. The
patch is attached.

-release, please review lilo 1:22.6.1-6.1 for inclusion in sarge.

Thanks,
--
Steve Langasek
postmodern programmer

tag 304260 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 14 May 2005 04:48:05 -0700
Source: lilo
Binary: lilo-doc lilo
Architecture: source i386 all
Version: 1:22.6.1-6.1
Distribution: unstable
Urgency: high
Maintainer: Andrés Roldán <email address hidden>
Changed-By: Steve Langasek <email address hidden>
Description:
 lilo - LInux LOader - The Classic OS loader can load Linux and others
 lilo-doc - Documentation for LILO (LInux LOader)
Closes: 304260
Changes:
 lilo (1:22.6.1-6.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * High-urgency upload for sarge-targetted RC bugfix
   * Don't ignore errors from running lilo on upgrade when it's required,
     as this silently leaves the system in an unbootable state.
     Closes: #304260.
Files:
 fcd071b1a3da92c1e9d0fd4ba19a2ff4 735 base optional lilo_22.6.1-6.1.dsc
 27901383c7283befcdce11760818b3dd 178671 base optional lilo_22.6.1-6.1.diff.gz
 c27d0077c6084d447ed96eaaf3ffceec 343334 base optional lilo_22.6.1-6.1_i386.deb
 bf6c961ab5417521346cfa1a86da4163 341258 doc optional lilo-doc_22.6.1-6.1_all.deb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFChnASKN6ufymYLloRAlMWAKCusa4qkPXqh9U71a6z8XUFwbbQ+ACfT1Mr
A6ayVzK12N/jFZJOhAPei04=
=/kt6
-----END PGP SIGNATURE-----

On Sun, May 15, 2005 at 06:20:45AM -0700, Steve Langasek wrote:
> patch is attached.
>
> -release, please review lilo 1:22.6.1-6.1 for inclusion in sarge.

Approved

Gruesse,
--
Frank Lichtenheld <email address hidden>
www: http://www.djpig.de/

tags 304260 - patch
thanks
On Sun, May 15, 2005 at 06:20:45AM -0700, Steve Langasek wrote:
>
> Hi Andrés,
>
> I've prepared a 0-day NMU for this bug, which will be uploaded shortly. The
> patch is attached.
>
> * debian/patches/15_space-bug.dpatch:
> diff -u lilo-22.6.1/debian/lilo.postinst lilo-22.6.1/debian/lilo.postinst
> --- lilo-22.6.1/debian/lilo.postinst
> +++ lilo-22.6.1/debian/lilo.postinst
> @@ -68,7 +68,7 @@
> db_get lilo/runme || true;
> if [ "$RET" = "true" ]; then
> echo "Running lilo..."
> - /sbin/lilo || true
> + /sbin/lilo
> fi
>
> ;;

Hello Steve,
This patch is a noop, because lilo.postinst does not 'set -x', (which is
yet another policy violation), so the error status of lilo is ignored
anyway. This caused problems in upgrade-report bug #310653.

Cheers,
--
Bill. <email address hidden>

Imagine a large red swirl here.

tags 304260 -fixed
thanks

Hi Bill,

On Wed, May 25, 2005 at 10:18:49AM +0200, <email address hidden> wrote:
> tags 304260 - patch
> thanks
> On Sun, May 15, 2005 at 06:20:45AM -0700, Steve Langasek wrote:
> >
> > Hi Andrés,
> >
> > I've prepared a 0-day NMU for this bug, which will be uploaded shortly. The
> > patch is attached.
> >
> > * debian/patches/15_space-bug.dpatch:
> > diff -u lilo-22.6.1/debian/lilo.postinst lilo-22.6.1/debian/lilo.postinst
> > --- lilo-22.6.1/debian/lilo.postinst
> > +++ lilo-22.6.1/debian/lilo.postinst
> > @@ -68,7 +68,7 @@
> > db_get lilo/runme || true;
> > if [ "$RET" = "true" ]; then
> > echo "Running lilo..."
> > - /sbin/lilo || true
> > + /sbin/lilo
> > fi
> >
> > ;;

> This patch is a noop, because lilo.postinst does not 'set -x', (which is
> yet another policy violation), so the error status of lilo is ignored
> anyway. This caused problems in upgrade-report bug #310653.

Thanks for catching this. Looks like another upload is needed. :/

--
Steve Langasek
postmodern programmer

# Automatically generated email from bts, devscripts version 2.8.14
tags 304260 - fixed

tag 304260 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 25 May 2005 14:08:54 +0200
Source: lilo
Binary: lilo-doc lilo
Architecture: source i386 all
Version: 1:22.6.1-6.2
Distribution: unstable
Urgency: high
Maintainer: Jordi Mallach <email address hidden>
Changed-By: Jordi Mallach <email address hidden>
Description:
 lilo - LInux LOader - The Classic OS loader can load Linux and others
 lilo-doc - Documentation for LILO (LInux LOader)
Closes: 304260
Changes:
 lilo (1:22.6.1-6.2) unstable; urgency=high
 .
   * Non-maintainer upload.
   * High-urgency upload for sarge-targetted RC bugfix.
   * Add "set -e" on lilo.postinst so the script actually fails when
     an error occurs (closes: #304260).
Files:
 6017d3c3f89d71b0ce0157371b1cb2c9 735 base optional lilo_22.6.1-6.2.dsc
 c1b0e1a338bab7ccbaedcee3c24ba035 178893 base optional lilo_22.6.1-6.2.diff.gz
 150325cd670751e06635e633d8932b0a 343090 base optional lilo_22.6.1-6.2_i386.deb
 e9ad3ab74965e38b5088aa5cd5a1ec3f 211556 doc optional lilo-doc_22.6.1-6.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFClHDyJYSUupF6Il4RAhtgAKCIYfOSEEJFIRC6DmJWdMD4Y2ojsgCghsSB
m7GUl94CGsN1WiM+H9QQULc=
=LHCY
-----END PGP SIGNATURE-----

I can upload the package with this fix if you did not already.

Steve Langasek wrote:
>
> Thanks for catching this. Looks like another upload is needed. :/
>

--
Andrés Roldán

<email address hidden> / Fluidsignal Group S.A.
<email address hidden> / The Debian Project

Mobile: +57 300-7920981
GPG F/P: 0EE9 27C9 55F1 92E4 3809 B852 D8E0 724B B293 96EB
http://people.fluidsignal.com/~aroldan

Hi Andrés,

On Wed, May 25, 2005 at 08:18:26AM -0500, Andrés Roldán wrote:
> I can upload the package with this fix if you did not already.

It looks like Jordi Mallach has already uploaded an NMU for this.

Thanks,
--
Steve Langasek
postmodern programmer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 24 Apr 2005 03:29:40 -0700
From: Steve Langasek <email address hidden>
To: <email address hidden>, <email address hidden>
Subject: Re: Fatal: LVM_GET_IOP_VERSION failed on /dev/lvm

--3Pql8miugIZX0722
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi Eduard,

I gather that you're using devfs here. Although it seems that mounting
devfs gives me a system without /dev/lvm, nevertheless running lilo -t -v 3
here on an all-LVM system doesn't give me the errors you describe. Can you
reproduce this problem on your own system when running lilo -t -v 3, or does
it only manifest when not in test mode?

You comment in the bug report that this is grave because the bootloader is
screwed up in the process. Did lilo actually overwrite the MBR, in spite of
the LVM errors? Or was this error caused by the reshuffling of /boot files
between the woody and sarge versions of lilo? lilo could run without the
'|| true' on install to make the errors more apparent; I'm just not sure if
this is the most appropriate fix.

Cheers,
--=20
Steve Langasek
postmodern programmer

--3Pql8miugIZX0722
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFCa3UQKN6ufymYLloRApiTAKC2KT3bLT1Nk7Pbg7w0Nr4zsw1JpQCfUACI
WxY2JrkHJZdW0TPOsF/5YTs=
=nTAW
-----END PGP SIGNATURE-----

--3Pql8miugIZX0722--

Debian Bug Importer (debzilla) wrote :

Message-ID: <20050426092805.GA15525@debian>
Date: Tue, 26 Apr 2005 11:28:05 +0200
From: Eduard Bloch <email address hidden>
To: <email address hidden>
Subject: Re: Bug#304260: Fatal: LVM_GET_IOP_VERSION failed on /dev/lvm

#include <hallo.h>
* Steve Langasek [Sun, Apr 24 2005, 03:29:40AM]:
> Hi Eduard,
>
> I gather that you're using devfs here. Although it seems that mounting

That's correct.

> devfs gives me a system without /dev/lvm, nevertheless running lilo -t -v 3
> here on an all-LVM system doesn't give me the errors you describe. Can you
> reproduce this problem on your own system when running lilo -t -v 3, or does
> it only manifest when not in test mode?

It happens in test mode as well (attached).

> You comment in the bug report that this is grave because the bootloader is
> screwed up in the process. Did lilo actually overwrite the MBR, in spite of
> the LVM errors? Or was this error caused by the reshuffling of /boot files
> between the woody and sarge versions of lilo? lilo could run without the
> '|| true' on install to make the errors more apparent; I'm just not sure if
> this is the most appropriate fix.

This must be the reason, the files have been replaced but the boot block
has not been updated. The proper fix would be a roll-back function
(which we do not have yet in dpkg) or an upstream fix.

Next weekend, I could try to upgrade to kernel 2.6 and lvm2 and look
what happens then, but the issue is still there - a normal upgrade
from Woody failed silently and let the system in unbootable state.

Regards,
Eduard.

LILO version 22.6.1 (test mode), Copyright (C) 1992-1998 Werner Almesberger
Development beyond version 21 Copyright (C) 1999-2004 John Coffman
Released 17-Nov-2004, and compiled at 14:09:52 on Feb 15 2005
Ubuntu

raid_setup returns offset = 00000000 ndisk = 0
 BIOS VolumeID Device
Reading boot sector from /dev/sda
Warning: Kernel & BIOS return differing head/sector geometries for device 0x80
    Kernel: 35044 cylinders, 64 heads, 32 sectors
      BIOS: 1024 cylinders, 255 heads, 63 sectors
Warning: Kernel & BIOS return differing head/sector geometries for device 0x81
    Kernel: 35044 cylinders, 64 heads, 32 sectors
      BIOS: 1024 cylinders, 255 heads, 63 sectors
pf_hard_disk_scan: ndevs=2
  0800 100F59DC /dev/scsi/host0/bus0/target0/lun0/disc
  0810 29014D44 /dev/scsi/host0/bus0/target1/lun0/disc
Resolve invalid VolumeIDs
Resolve duplicate VolumeIDs
  0800 100F59DC /dev/scsi/host0/bus0/target0/lun0/disc
  0810 29014D44 /dev/scsi/host0/bus0/target1/lun0/disc
device codes (user assigned pf) = 1
device codes (user assigned) = 1
device codes (BIOS assigned) = 3
device codes (canonical) = 3
Device 0x0800: BIOS drive 0x80, 255 heads, 4467 cylinders,
               63 sectors. Partition offset: 0 sectors.
Using Volume ID 100F59DC on bios 80
Fatal: LVM_GET_IOP_VERSION failed on /dev/lvm

--
<Gizmo> Nun, ich hab mal ne kleine Frage zu DNS und DHCP. Schaue da noch
 nicht so ganz durch.
<PerlRonin> Erst beim Buchstaben 'D' und schon Probleme? ;)

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 14 May 2005 05:15:54 -0700
From: Steve Langasek <email address hidden>
To: <email address hidden>
Subject: Re: Fatal: LVM_GET_IOP_VERSION failed on /dev/lvm

--dMdWWqg3F2Dv/qfw
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

clone 304260 -1
severity -1 important
retitle 304260 lilo ignores failures on upgrade, leaving the system silentl=
y unbootable
thanks

Ok, there are two bugs here. The first bug, that the current version of
lilo doesn't play nicely with lvm in some cases, is of lower priority and
hard to fix (AFAICT). The second bug, that lilo silently discards fatal
errors from /sbin/lilo when upgrading, is release critical. I intend to NMU
for the second of these bugs.

Thanks,
--=20
Steve Langasek
postmodern programmer

--dMdWWqg3F2Dv/qfw
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFChevvKN6ufymYLloRAlnfAKCRIGZdbyB3o1KqacXUNYdCEBz9CQCg02Ww
I5HA9B8hmAeenarwjO9Ldxo=
=rDR/
-----END PGP SIGNATURE-----

--dMdWWqg3F2Dv/qfw--

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 15 May 2005 06:20:45 -0700
From: Steve Langasek <email address hidden>
To: <email address hidden>
Cc: <email address hidden>
Subject: Re: lilo ignores failures on upgrade, leaving the system silently unbootable

--Cp3Cp8fzgozWLBWL
Content-Type: multipart/mixed; boundary="iBwuxWUsK/REspAd"
Content-Disposition: inline

--iBwuxWUsK/REspAd
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

tags 304260 patch
thanks

Hi Andr=E9s,

I've prepared a 0-day NMU for this bug, which will be uploaded shortly. The
patch is attached.

-release, please review lilo 1:22.6.1-6.1 for inclusion in sarge.

Thanks,
--=20
Steve Langasek
postmodern programmer

--iBwuxWUsK/REspAd
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="lilo-304260.diff"
Content-Transfer-Encoding: quoted-printable

diff -u lilo-22.6.1/debian/changelog lilo-22.6.1/debian/changelog
--- lilo-22.6.1/debian/changelog
+++ lilo-22.6.1/debian/changelog
@@ -1,3 +1,13 @@
+lilo (1:22.6.1-6.1) unstable; urgency=3Dhigh
+
+ * Non-maintainer upload.
+ * High-urgency upload for sarge-targetted RC bugfix
+ * Don't ignore errors from running lilo on upgrade when it's required,
+ as this silently leaves the system in an unbootable state.
+ Closes: #304260.
+
+ -- Steve Langasek <email address hidden> Sat, 14 May 2005 04:48:05 -0700
+
 lilo (1:22.6.1-6) unstable; urgency=3Dlow
=20
   * debian/patches/15_space-bug.dpatch:
diff -u lilo-22.6.1/debian/lilo.postinst lilo-22.6.1/debian/lilo.postinst
--- lilo-22.6.1/debian/lilo.postinst
+++ lilo-22.6.1/debian/lilo.postinst
@@ -68,7 +68,7 @@
  db_get lilo/runme || true;
  if [ "$RET" =3D "true" ]; then
   echo "Running lilo..."
- /sbin/lilo || true
+ /sbin/lilo
  fi
=20
  ;;

--iBwuxWUsK/REspAd--

--Cp3Cp8fzgozWLBWL
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCh0ymKN6ufymYLloRAm6pAJ9jlN7OK4821GF7+7lTGjAtw5UqswCgo3mG
86yOkTIlr/jHyzTyqRkqs8Q=
=xGsa
-----END PGP SIGNATURE-----

--Cp3Cp8fzgozWLBWL--

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sun, 15 May 2005 09:32:07 -0400
From: Steve Langasek <email address hidden>
To: <email address hidden>
Cc: Steve Langasek <email address hidden>, =?utf-8?b?QW5kcsOpcyBSb2xkw6Fu?= <email address hidden>
Subject: Fixed in NMU of lilo 1:22.6.1-6.1

tag 304260 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 14 May 2005 04:48:05 -0700
Source: lilo
Binary: lilo-doc lilo
Architecture: source i386 all
Version: 1:22.6.1-6.1
Distribution: unstable
Urgency: high
Maintainer: Andrés Roldán <email address hidden>
Changed-By: Steve Langasek <email address hidden>
Description:
 lilo - LInux LOader - The Classic OS loader can load Linux and others
 lilo-doc - Documentation for LILO (LInux LOader)
Closes: 304260
Changes:
 lilo (1:22.6.1-6.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * High-urgency upload for sarge-targetted RC bugfix
   * Don't ignore errors from running lilo on upgrade when it's required,
     as this silently leaves the system in an unbootable state.
     Closes: #304260.
Files:
 fcd071b1a3da92c1e9d0fd4ba19a2ff4 735 base optional lilo_22.6.1-6.1.dsc
 27901383c7283befcdce11760818b3dd 178671 base optional lilo_22.6.1-6.1.diff.gz
 c27d0077c6084d447ed96eaaf3ffceec 343334 base optional lilo_22.6.1-6.1_i386.deb
 bf6c961ab5417521346cfa1a86da4163 341258 doc optional lilo-doc_22.6.1-6.1_all.deb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFChnASKN6ufymYLloRAlMWAKCusa4qkPXqh9U71a6z8XUFwbbQ+ACfT1Mr
A6ayVzK12N/jFZJOhAPei04=
=/kt6
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 15 May 2005 19:23:14 +0200
From: Frank Lichtenheld <email address hidden>
To: <email address hidden>, <email address hidden>
Subject: Re: lilo ignores failures on upgrade, leaving the system silently unbootable

On Sun, May 15, 2005 at 06:20:45AM -0700, Steve Langasek wrote:
> patch is attached.
>
> -release, please review lilo 1:22.6.1-6.1 for inclusion in sarge.

Approved

Gruesse,
--
Frank Lichtenheld <email address hidden>
www: http://www.djpig.de/

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 25 May 2005 10:18:49 +0200
From: <email address hidden>
To: <email address hidden>, <email address hidden>
Cc: <email address hidden>
Subject: Re: lilo ignores failures on upgrade, leaving the system silently unbootable

tags 304260 - patch
thanks
On Sun, May 15, 2005 at 06:20:45AM -0700, Steve Langasek wrote:
>
> Hi Andr�
>
> I've prepared a 0-day NMU for this bug, which will be uploaded shortly. The
> patch is attached.
>
> * debian/patches/15_space-bug.dpatch:
> diff -u lilo-22.6.1/debian/lilo.postinst lilo-22.6.1/debian/lilo.postinst
> --- lilo-22.6.1/debian/lilo.postinst
> +++ lilo-22.6.1/debian/lilo.postinst
> @@ -68,7 +68,7 @@
> db_get lilo/runme || true;
> if [ "$RET" = "true" ]; then
> echo "Running lilo..."
> - /sbin/lilo || true
> + /sbin/lilo
> fi
>
> ;;

Hello Steve,
This patch is a noop, because lilo.postinst does not 'set -x', (which is
yet another policy violation), so the error status of lilo is ignored
anyway. This caused problems in upgrade-report bug #310653.

Cheers,
--
Bill. <email address hidden>

Imagine a large red swirl here.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 25 May 2005 03:03:14 -0700
From: Steve Langasek <email address hidden>
To: <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Re: lilo ignores failures on upgrade, leaving the system silently unbootable

--2HUpePOdetso3qZb
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

tags 304260 -fixed
thanks

Hi Bill,

On Wed, May 25, 2005 at 10:18:49AM +0200, <email address hidden> wrote:
> tags 304260 - patch
> thanks
> On Sun, May 15, 2005 at 06:20:45AM -0700, Steve Langasek wrote:
> >=20
> > Hi Andr=E9s,
> >=20
> > I've prepared a 0-day NMU for this bug, which will be uploaded shortly.=
  The
> > patch is attached.
> > =20
> > * debian/patches/15_space-bug.dpatch:
> > diff -u lilo-22.6.1/debian/lilo.postinst lilo-22.6.1/debian/lilo.postin=
st
> > --- lilo-22.6.1/debian/lilo.postinst
> > +++ lilo-22.6.1/debian/lilo.postinst
> > @@ -68,7 +68,7 @@
> > db_get lilo/runme || true;
> > if [ "$RET" =3D "true" ]; then
> > echo "Running lilo..."
> > - /sbin/lilo || true
> > + /sbin/lilo
> > fi
> > =20
> > ;;

> This patch is a noop, because lilo.postinst does not 'set -x', (which is
> yet another policy violation), so the error status of lilo is ignored
> anyway. This caused problems in upgrade-report bug #310653.

Thanks for catching this. Looks like another upload is needed. :/

--=20
Steve Langasek
postmodern programmer

--2HUpePOdetso3qZb
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFClE1hKN6ufymYLloRAjCwAJ9URlNyiMglu0QYqWH8L2UsKws+OgCdFy64
oKnBvjBKl8FVtIb/GenvkjU=
=JaW8
-----END PGP SIGNATURE-----

--2HUpePOdetso3qZb--

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 25 May 2005 12:27:45 +0200
From: Bill Allombert <email address hidden>
To: <email address hidden>
Subject: tagging 304260

# Automatically generated email from bts, devscripts version 2.8.14
tags 304260 - fixed

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 25 May 2005 08:47:14 -0400
From: Jordi Mallach <email address hidden>
To: <email address hidden>
Cc: Jordi Mallach <email address hidden>
Subject: Fixed in NMU of lilo 1:22.6.1-6.2

tag 304260 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 25 May 2005 14:08:54 +0200
Source: lilo
Binary: lilo-doc lilo
Architecture: source i386 all
Version: 1:22.6.1-6.2
Distribution: unstable
Urgency: high
Maintainer: Jordi Mallach <email address hidden>
Changed-By: Jordi Mallach <email address hidden>
Description:
 lilo - LInux LOader - The Classic OS loader can load Linux and others
 lilo-doc - Documentation for LILO (LInux LOader)
Closes: 304260
Changes:
 lilo (1:22.6.1-6.2) unstable; urgency=high
 .
   * Non-maintainer upload.
   * High-urgency upload for sarge-targetted RC bugfix.
   * Add "set -e" on lilo.postinst so the script actually fails when
     an error occurs (closes: #304260).
Files:
 6017d3c3f89d71b0ce0157371b1cb2c9 735 base optional lilo_22.6.1-6.2.dsc
 c1b0e1a338bab7ccbaedcee3c24ba035 178893 base optional lilo_22.6.1-6.2.diff.gz
 150325cd670751e06635e633d8932b0a 343090 base optional lilo_22.6.1-6.2_i386.deb
 e9ad3ab74965e38b5088aa5cd5a1ec3f 211556 doc optional lilo-doc_22.6.1-6.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFClHDyJYSUupF6Il4RAhtgAKCIYfOSEEJFIRC6DmJWdMD4Y2ojsgCghsSB
m7GUl94CGsN1WiM+H9QQULc=
=LHCY
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 25 May 2005 08:18:26 -0500
From: =?ISO-8859-1?Q?Andr=E9s_Rold=E1n?= <email address hidden>
To: Steve Langasek <email address hidden>, <email address hidden>
Subject: Re: Bug#304260: lilo ignores failures on upgrade, leaving the system
 silently unbootable

I can upload the package with this fix if you did not already.

Steve Langasek wrote:
>
> Thanks for catching this. Looks like another upload is needed. :/
>=20

--=20
Andr=E9s Rold=E1n

<email address hidden> / Fluidsignal Group S.A.
<email address hidden> / The Debian Project

Mobile: +57 300-7920981
GPG F/P: 0EE9 27C9 55F1 92E4 3809 B852 D8E0 724B B293 96EB
http://people.fluidsignal.com/~aroldan

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 25 May 2005 06:35:04 -0700
From: Steve Langasek <email address hidden>
To: =?iso-8859-1?Q?Andr=E9s_Rold=E1n?= <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#304260: lilo ignores failures on upgrade, leaving the system silently unbootable

Hi Andr=E9s,

On Wed, May 25, 2005 at 08:18:26AM -0500, Andr=E9s Rold=E1n wrote:
> I can upload the package with this fix if you did not already.

It looks like Jordi Mallach has already uploaded an NMU for this.

Thanks,
--=20
Steve Langasek
postmodern programmer

Matt Zimmerman (mdz) wrote :

      lilo | 1:22.6.1-6.2ubuntu1 | http://us.archive.ubuntu.com breezy/main Packages

Source: lilo
Source-Version: 1:22.6.1-7

We believe that the bug you reported is fixed in the latest version of
lilo, which is due to be installed in the Debian FTP archive:

lilo-doc_22.6.1-7_all.deb
  to pool/main/l/lilo/lilo-doc_22.6.1-7_all.deb
lilo_22.6.1-7.diff.gz
  to pool/main/l/lilo/lilo_22.6.1-7.diff.gz
lilo_22.6.1-7.dsc
  to pool/main/l/lilo/lilo_22.6.1-7.dsc
lilo_22.6.1-7_i386.deb
  to pool/main/l/lilo/lilo_22.6.1-7_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrés Roldán <email address hidden> (supplier of updated lilo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 29 Sep 2005 18:44:42 +0000
Source: lilo
Binary: lilo-doc lilo
Architecture: source i386 all
Version: 1:22.6.1-7
Distribution: unstable
Urgency: low
Maintainer: Andrés Roldán <email address hidden>
Changed-By: Andrés Roldán <email address hidden>
Description:
 lilo - LInux LOader - The Classic OS loader can load Linux and others
 lilo-doc - Documentation for LILO (LInux LOader)
Closes: 270319 286208 292073 298341 304260 309083 310653 312450 320769
Changes:
 lilo (1:22.6.1-7) unstable; urgency=low
 .
   * Maintenance upload.
   * Acknowledging NMUs. Thanks guys. (Closes: #304260)
   * debian/lilo.{config,postinst}:
     - Better check if a upgrade from old versions is detected. Fixes #316955
       and #306472 at least on testing.
   * debian/po/
      -{nl,uk,pt_BR}.po: Updated. (Closes: #286208, #298341, #270319)
     - ar.po : Added arabic translation. Thanks to Mohammed Adnene Trojette
       <email address hidden>. (Closes: #320769)
     - vi.po: Added vietnamese translation. Thanks to Clytie Siddall
       <email address hidden>. (Closes: #312450)
   * debian/patches/01_mkrescue-fixes.dpatch:
     - Updated to fix some security problems detected on mkrescue . Thanks
       to Javier Fernández-Sanguino Peña <email address hidden>
       (Closes: #292073, #310653)
   * debian/liloconfig:
     - Adds a section displaying an example of how to use the 'disk' parameter
       and gives some examples with USB external devices.
   * debian/patches/01_devmapper.dpatch:
     - Updated. Hopefully closes: #309083
Files:
 da2393a3c01eea45553fd50085665f5c 731 base optional lilo_22.6.1-7.dsc
 ece85495b309e077f9dd3a91e1a050c9 180759 base optional lilo_22.6.1-7.diff.gz
 b7388988cc4841c98b5e33577652f396 351904 base optional lilo_22.6.1-7_i386.deb
 eec4c9e2c49d52adcdb3aa05e048a529 212008 doc optional lilo-doc_22.6.1-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDPEhH2OByS7KTlusRAp5JAJwI0XBUiBwm4FlSIfu5YLaE5X+I8ACgqXtZ
t/KnhZNrcMTjq6E9S2sGlXM=
=4v1i
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :
Download full text (3.3 KiB)

Message-Id: <email address hidden>
Date: Thu, 29 Sep 2005 13:48:06 -0700
From: =?utf-8?b?QW5kcsOpcyBSb2xkw6Fu?= <email address hidden>
To: <email address hidden>
Subject: Bug#304260: fixed in lilo 1:22.6.1-7

Source: lilo
Source-Version: 1:22.6.1-7

We believe that the bug you reported is fixed in the latest version of
lilo, which is due to be installed in the Debian FTP archive:

lilo-doc_22.6.1-7_all.deb
  to pool/main/l/lilo/lilo-doc_22.6.1-7_all.deb
lilo_22.6.1-7.diff.gz
  to pool/main/l/lilo/lilo_22.6.1-7.diff.gz
lilo_22.6.1-7.dsc
  to pool/main/l/lilo/lilo_22.6.1-7.dsc
lilo_22.6.1-7_i386.deb
  to pool/main/l/lilo/lilo_22.6.1-7_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrés Roldán <email address hidden> (supplier of updated lilo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 29 Sep 2005 18:44:42 +0000
Source: lilo
Binary: lilo-doc lilo
Architecture: source i386 all
Version: 1:22.6.1-7
Distribution: unstable
Urgency: low
Maintainer: Andrés Roldán <email address hidden>
Changed-By: Andrés Roldán <email address hidden>
Description:
 lilo - LInux LOader - The Classic OS loader can load Linux and others
 lilo-doc - Documentation for LILO (LInux LOader)
Closes: 270319 286208 292073 298341 304260 309083 310653 312450 320769
Changes:
 lilo (1:22.6.1-7) unstable; urgency=low
 .
   * Maintenance upload.
   * Acknowledging NMUs. Thanks guys. (Closes: #304260)
   * debian/lilo.{config,postinst}:
     - Better check if a upgrade from old versions is detected. Fixes #316955
       and #306472 at least on testing.
   * debian/po/
      -{nl,uk,pt_BR}.po: Updated. (Closes: #286208, #298341, #270319)
     - ar.po : Added arabic translation. Thanks to Mohammed Adnene Trojette
       <email address hidden>. (Closes: #320769)
     - vi.po: Added vietnamese translation. Thanks to Clytie Siddall
       <email address hidden>. (Closes: #312450)
   * debian/patches/01_mkrescue-fixes.dpatch:
     - Updated to fix some security problems detected on mkrescue . Thanks
       to Javier Fernández-Sanguino Peña <email address hidden>
       (Closes: #292073, #310653)
   * debian/liloconfig:
     - Adds a section displaying an example of how to use the 'disk' parameter
       and gives some examples with USB external devices.
   * debian/patches/01_devmapper.dpatch:
     - Updated. Hopefully closes: #309083
Files:
 da2393a3c01eea45553fd50085665f5c 731 base optional lilo_22.6.1-7.dsc
 ece85495b309e077f9dd3a91e1a050c9 180759 base optional lilo_22.6.1-7.diff.gz
 b7388988cc4841c98b5e33577652f396 351904 base optional lilo_22.6.1-7_i386.deb
 eec4c9e2c49d52adcdb3aa05e048a529 212008 doc optional lilo-doc_22.6.1-7_all.deb

-----BEGIN PGP SIGNATURE-----
Ver...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.